| hoogle | Source code | Contents | Index

Hoogle.DataBase.TypeSearch.Result

Documentation

type ArgPos = Int | Source

type Result = (Link EntryInfo, [EntryView], TypeScore) | Source

type ResultReal = (Link Entry, [EntryView], TypeScore) | Source

flattenResults :: [Result] -> [(Link Entry, [EntryView], TypeScore)] | Source

data ResultAll | Source

Constructors

ResultAll Int (Link EntryInfo) [[ResultArg]] |

Instances

Show ResultAll

data ResultArg | Source

Constructors

ResultArg |

resultArgEntry :: Link EntryInfo |
resultArgPos :: ArgPos |
resultArgBind :: Binding |

Instances

Show ResultArg

newResultAll :: EntryInfo -> Link EntryInfo -> Maybe ResultAll | Source

addResultAll :: Instances -> EntryInfo -> (Maybe ArgPos, ResultArg) -> ResultAll -> (ResultAll, [Result]) | Source

newGraphsResults :: Instances -> EntryInfo -> Link EntryInfo -> [ResultArg] -> ResultArg -> Maybe Result | Source

module Hoogle.DataBase.TypeSearch.EntryInfo
Produced by Haddock version 2.4.2